#include "lista.c"

/*
* =================================================
*    Filename:  .c
* Description:
*     Created:  dd/mm/18 hh:mm
* =================================================
*/

int imprime_op();

int main(int argc, char **argv)
{
	int op = -1, elemento = 0;

	Lista L1;
	L1 = cria_lista();

	system("clear");
	while(1)
	{
		op = imprime_op();
		switch(op)
		{
			case 1:
				printf("Qual elemento será inserido? ");
				scanf("%d", &elemento);
				if(insere_elem(L1, elemento))
					printf("Elemento inserido\n");
				else
					printf("Elemento não inserido\n");
				getchar();
				break;
			case 2:
				printf("Qual elemento sera removido? ");
				scanf("%d", &elemento);
				if(remove_elem(L1, elemento))
					printf("Elemento removido\n");
				else
					printf("Elemento nao removido\n");
				getchar();
				break;
			case 3:
				imprimi_lista(L1);
                imprimi_tamanho(L1);
				getchar();
				break;
			case 4:
				return 0;
				break;
		}
		getchar();
		system("clear");
	}
	return 0;
}

int imprime_op()
{
	int op;

	do
	{
		printf("---------------- Qual a operacao? -----------------\n");
		printf("[1] - Inserir um elemento à lista\n");
		printf("[2] - Remover um elemento da lista\n");
		printf("[3] - Imprimir a lista\n");
		printf("[4] - Sair do programa\n");
		printf("Operacao: "); setbuf(stdin,NULL);
		scanf("%d", &op);
	} while(op < 0);

	return op;
}

